complexType "ReturnSwapLegUnderlyer"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, effectiveDate?, terminationDate?, strikeDate?, underlyer
</...>

Content Model Elements (5):

  effectiveDate (defined in DirectionalLeg complexType), legIdentifier, strikeDate, | terminationDate (defined in DirectionalLeg complexType), underlyer (in returnLeg)

Known Direct Subtypes (1):

  ReturnLeg

All Direct / Indirect Based Elements (1):

  returnLeg

Known Usage Locations

- In derivations of other global types (1):
  ReturnLeg (as extension base)

Annotation
A base class for all return leg types with an underlyer.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) ReturnSwapLegUnderlyer

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType abstract="true" name="ReturnSwapLegUnderlyer"> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="strikeDate" type="AdjustableOrRelativeDate"/> <xsd:element name="underlyer" type="Underlyer"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
strikeDate

  Type: | AdjustableOrRelativeDate, complex content

  Specifies the strike date of this leg of the swap, used for forward starting swaps. When defined in relation to a date specified somewhere else in the document (through the relativeDate component), this element will typically by relative to the trade date of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="strikeDate" type="AdjustableOrRelativeDate"/>

underlyer

  Type: | Underlyer, complex content

  Specifies the underlying component of the leg, which can be either one or many and consists in either equity, index or convertible bond component, or a combination of these.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="underlyer" type="Underlyer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.